Makefile: add pickrand
[cmccabe-bin] / enc.sh
diff --git a/enc.sh b/enc.sh
index e6c51eb..c399a7e 100755 (executable)
--- a/enc.sh
+++ b/enc.sh
@@ -5,10 +5,16 @@ die() {
     exit 1
 }
 
+if [[ "x${PASS}" = "x" ]]; then
+    read -s -p "enter password: " PASS
+    echo
+    read -s -p "re-enter password: " PASS2
+    [[ ${PASS} == ${PASS2} ]] || die "The passwords did not match."
+fi
+
 #[ "x${SALT}" = "x" ] && die "you must set SALT to the salt."
 #SALT=$(dd count=1024 if=/dev/random 2>/dev/null |md5sum|sed 's/-//')
 #[ $? -ne 0 ] && die "failed to generate SALT"
-[ "x${PASS}" = "x" ] && die "you must set PASS to the password"
 
 RET=0
 for FILE in "$@"; do